### Function

# Gimp ConfigInterface build_plug_in_path

#### Declaration [src]

    gchar*
    gimp_config_build_plug_in_path (
      const gchar* name
    )

#### Description [src]

Creates a search path as it is used in the gimprc file. The path returned by `gimp_config_build_plug_in_path()` includes a directory below the user’s gimp directory and one in the system-wide plug-in directory.

Note that you cannot use this path directly with gimp_path_parse(). As it is in the gimprc notation, you first need to expand and recode it using gimp_config_path_expand().

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| Directory name (in UTF-8 encoding)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A newly allocated string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.